
From: NeilBrown <neilb@cse.unsw.edu.au>

We need to handle nfserr_dropit as a special case here, since we don't
want to return it in the rdattr_error attribute.

Signed-off-by: J. Bruce Fields <bfields@citi.umich.edu>
Signed-off-by: Neil Brown <neilb@cse.unsw.edu.au>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/fs/nfsd/nfs4xdr.c |    2 ++
 1 files changed, 2 insertions(+)

diff -puN fs/nfsd/nfs4xdr.c~knfsd-nfsd4-encode_dirent-fix-dropit-return fs/nfsd/nfs4xdr.c
--- 25/fs/nfsd/nfs4xdr.c~knfsd-nfsd4-encode_dirent-fix-dropit-return	2004-11-15 22:07:39.378602544 -0800
+++ 25-akpm/fs/nfsd/nfs4xdr.c	2004-11-15 22:07:39.382601936 -0800
@@ -1861,6 +1861,8 @@ nfsd4_encode_dirent(struct readdir_cd *c
 	case nfserr_resource:
 		nfserr = nfserr_toosmall;
 		goto fail;
+	case nfserr_dropit:
+		goto fail;
 	default:
 		/*
 		 * If we get here, we experienced a miscellaneous
_
